2007-01-07  Rob Staudinger <robert.staudinger@gmail.com>

	Fixes #333557

	* thumbnailer.c: added support for specifying string and font-size to
	use in the thumbnailer.

2006-12-10  Luca Cavalli  <lcavalli@cvs.gnome.org>

	* font-method.c: (ensure_font_list): make sure the name list array
	is NULL terminated. Fixes #356435.

2006-07-23  Sebastien Bacher  <seb128@debian.org>

	* font-method.directory.in: add encoding key, 
	patch by Vincent Fretin <vincent.fretin@gmail.com> (Closes: #338593)

2006-04-05  Glynn Foster <glynn.foster@sun.com>

	* Makefile.am: Move the .directory files to 
	$datadir/desktop-directories. Fixes #334405.

2006-01-30  Ed Catmur <ed@catmur.co.uk>

	Fixes #329043

	* ftstream-vfs.c: use correct function signature for FT callback.

2005-11-14  Rodrigo Moya <rodrigo@novell.com>

	* font-method.c (do_tell): fixed function signature.

2005-11-14  Kjartan Maraas  <kmaraas@gnome.org>

	* font-method.c: (get_pango_name), (do_open):
	* ftstream-vfs.c:
	* thumbnailer.c: Mark code static and remove unused code.

2005-08-04  Paolo Borelli  <pborelli@katamail.com>

	* font-view.c (add_face_info): follow symlinks when getting
	info. Fixes part of #309744.

2005-05-12  James Henstridge  <james@jamesh.id.au>

	* font-method.c (ensure_font_list): use NULL as the var args
	terminator rather than 0.  Patch from Stanislav Brabec
	<sbrabec@suse.cz>, fixing bug #302056.

2005-02-02  Kjartan Maraas  <kmaraas@gnome.org>

	* font-method.c: (fill_file_info): Plug a leak.
	Closes bug #165312.
	* thumbnailer.c: (main): Remove unused var

2004-12-25  Kjartan Maraas  <kmaraas@gnome.org>

	* font-method.c: (ensure_font_list): NULL vs. 0
	* ftstream-vfs.c: (vfs_stream_close): Same.

2004-12-10  James Henstridge  <james@jamesh.id.au>

	* Makefile.am (install-desktop-database): update the desktop file
	database on install, since we install a new mime action.

	* font-view.c (get_font): don't free the pattern when creating the
	font object, since XftFontOpenPattern takes ownership of the
	pattern.

	* gnome-font-viewer.desktop.in.in (Exec): use %u instead of %U,
	since we only support openning one file.

2004-11-28  James Henstridge  <james@jamesh.id.au>

	* thumbnailer.c (main): use gnome_vfs_make_uri_from_shell_arg() to
	parse the first argument.
	(main): if the glyphs for 'A' and 'a' aren't found, pick some
	other ones so we display something possibly relevant.
	(draw_char): pass in a glyph index rather than a character.

	* font-view.c: apply Federic Zhang <federic.zhang@sun.com>'s patch
	to speed up loading of large (eg. CJK) fonts, plus a few small bug
	fixes.  Fixes bug #142878.
	(set_icon): use gtk_window_set_icon_name() to set the icon.  Also,
	get the correct icon theme object for the window's screen.

2004-11-27  James Henstridge  <james@jamesh.id.au>

	* Makefile.am: get rid of old mime stuff.

	* gnome-font-viewer.desktop.in.in (Exec): add a "%U" to the
	command line, so Nautilus will run gnome-font-viewer for stuff
	under the fonts:/// URI.

	* Makefile.am: fix build rules for Nautilus stuff.

	* fontilus-context-menu.c: convert to a Nautilus extension.

2004-10-14  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-05-16  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=140342
	* font-view.c (main) : patched to use argv[0] rather than hard coding
	  things.  Additionally marked the string for translation.

2004-04-15  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-01  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.3

2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-02-16  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=134389
	* Makefile.am : Patch from jmmv@menta.net (Julio M. Merino Vidal)
	  to honour the standard schema install flags.
	  I've extended the patch to support builddir != srcdir too

2004-02-13  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-02-10  James Henstridge  <james@daa.com.au>

	* font-method.c (fill_file_info): clear the SYMBOLIC_LINK flag if
	present on the file_info struct.  Since gnome-vfs doesn't support
	cross-vfs symlinks, the symlink would no longer resolve when
	returned by the fonts:/// method.  Fixes bug #133811.

2004-01-14  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1.1

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

2003-10-28  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

2003-07-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.4

2003-06-24  Jody Goldberg <jody@gnome.org>

	* Release 2.3.3

2003-05-19  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Russian to ALL_LINGUAS.

2003-05-06  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-04-19  Hasbullah Bin Pit  <sebol@ikhlas.com>

        * configure.in(ALL_LINGUAS): Added "ms".

2003-04-17  Jordi Mallach  <jordi@sindominio.net>

	* configure.in: Added "ca" (Catalan) to ALL_LINGUAS.

2003-04-10  Paul Duffy <dubhthach@frink.nuigalway.ie>

        * configure.ie: Added ga (irish) to ALL_LINGUAS.

2003-04-10  Sanlig Badral  <badral@chinggis.com>

	* configure.in: Added "mn" (mongolian) to ALL_LINGUAS.

2003-03-26  Gil "Dolfin" Osher <dolfin@rpg.org.il>

	* configure.in: Added "he" (Hebrew) to ALL_LINGUAS.

2003-03-13  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.

2003-03-03  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS.

2003-02-22  Gustavo Maciel Dias Vieira  <gdvieira@zaz.com.br>

	* configure.in: Added pt_BR to ALL_LINGUAS.

2003-02-16  Takeshi AIHANA <aihana@gnome.gr.jp>

	* configure.in: Added ja into ALL_LINGUAS.

2003-02-15  James Henstridge  <james@daa.com.au>

	* configure.in: update version number.

	* NEWS: update news file for 0.4 release.

2003-02-13  Zbigniew Chyla  <cyba@gnome.pl>

	* configure.in (ALL_LINGUAS): Added pl (Polish).

2003-02-10  Yuriy Syrota  <rasta renome.rovno.ua>

	* configure.in: Added "uk" (Ukrainian) to ALL_LINGUAS.

2003-02-09  Mohammad DAMT  <mdamt@bisnisweb.com>

	* configure.in: Added "id" (Bahasa Indonesia) to ALL_LINGUAS.

2003-02-06  Duarte Loreto <happyguy_pt@hotmail.com>

        * configure.in: Added "pt" to ALL_LINGUAS.

2003-02-05  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "zh_TW" (traditional Chinese) to ALL_LINGUAS.

2003-02-04  James Henstridge  <james@daa.com.au>

	* src/fontilus.server.in.in: change verb name and menu item label.

	* src/fontilus-context-menu.c (handle_event): change verb name.

2003-02-02  Yanko Kaneti  <yaneti@declera.com>

	* Makefile.am (EXTRA_DIST): add fontilus.server.in.in
	* fontilus.spec.in: Updated to include the context menu extensions.

2003-02-02  James Henstridge  <james@daa.com.au>

	* src/fontilus.server.in.in: bonobo activation server file for the
	fontilus component.

	* src/fontilus-context-menu.c: Bonobo listener component to
	implement custom context menu items for fonts under fonts:///,
	which allows us to set the default font for the desktop.

2003-02-02  Daniel Yacob  <locales@geez.org>

	* configure.in: Added Amharic (am) to ALL_LINGUAS

2003-01-29  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Dutch (nl) and Vietnamese (vi) to ALL_LINGUAS

2003-01-29  Christophe Merlet  <redfox@redfoxcenter.org>

	* configure.in: Added "fr" (French) to ALL_LINGUAS.

2003-01-29  Alessio Frusciante  <algol@firenze.linux.it>

	* configure.in: Added "it" (Italian) to ALL_LINGUAS.

2003-01-22  Paisa Seeluangsawat  <paisa@colorado.edu>

	* configure.in (ALL_LINGUAS): Added "th".

2003-01-19  Artis Trops  <hornet@navigator.lv>

        * configure.in: Added Latvian (lv) to ALL_LINGUAS.      

2003-01-15  James Henstridge  <james@daa.com.au>

	* src/font-view.c (set_icon): set the icon on the window based on
	the file type.

2003-01-13  Pablo Gonzalo del Campo  <pablodc@bigfoot.com>

	* configure.in (ALL_LINGUAS): Added "es" (Spanish).

2003-01-13  James Henstridge  <james@daa.com.au>

	* src/font-view.c (create_text_pixmap): refactor so that it
	creates a pixmap big enough to display everything.
	(main): make the window resizable, and add font preview to a
	scrolled window.

2003-01-12  Miloslav Trmac  <mitr@volny.cz>

	* configure.in (ALL_LINGUAS): Added "cs" (Czech).

2003-01-11  Kjartan Maraas  <kmaraas@gnome.org>

        * configure.in: (ALL_LINGUAS): Added "no".

2003-01-10  Kenneth Christiansen <kenneth@gnu.org>

        * configure.in: (ALL_LINGUAS): Added "da".

2003-01-10  Christian Rose  <menthos@menthos.com>

	* configure.in: (ALL_LINGUAS): Added "sv".

2003-01-09  Christian Neumair  <chris@gnome-de.org>

	* configure.in (ALL_LINGUAS): Added German (de).

2003-01-09  James Henstridge  <james@daa.com.au>

	* NEWS: add news items.

	* src/fontilus.mime: ttc files are True Types.

	* src/*.c: update copyright messages.

	* fontilus.spec.in: update to include schema and run a
	postinstallation script to install the schema.

	* configure.in: look for gconftool.

	* src/fontilus.schemas.in: add schemas to set up thumbnailing.

2002-12-28  James Henstridge  <james@daa.com.au>

	* src/font-view.c (main): actually turn on internationalisation.

2002-12-23  James Henstridge  <james@daa.com.au>

	* src/thumbnailer.c (main): get rid of unused variable.

	* configure.in (GETTEXT_PACKAGE): turn on i18n stuff.
	(CFLAGS): add -Wall to compile flags.
	(*_LIBS): remove -export-dynamic from libs.

2002-12-13  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* .cvsignore: hide generated files
	* src/fontilus.mime: add missing file

2002-12-13  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* README:
	* src/Makefile.am:
	* src/fontilus.keys:
	add support for OpenType fonts, fix pcf.gz detection

2002-12-12  James Henstridge  <james@daa.com.au>

	* NEWS: add news items.

	* configure.in: update version number.

2002-12-10  James Henstridge  <james@daa.com.au>

	* src/font-view.c (add_face_info): only display Type1 font
	information if it is valid UTF-8.

	* src/ftstream-vfs.c (FT_New_Face_From_URI): get rid of the local
	file optimisation.  It didn't make a noticable difference for the
	large Asian fonts.

	* src/thumbnailer.c (main): set the charmap for the font before
	rendering the glyphs.  This fixes rendering of some fonts jdub
	sent me.

2002-12-09  James Henstridge  <james@daa.com.au>

	* src/font-view.c (add_row): handle multiline text.
	(add_face_info): add some extra information found in SFNT or Type1
	fonts.
	(create_text_pixmap): change the font output.

2002-12-06  James Henstridge  <james@daa.com.au>

	* src/ftstream-vfs.c (FT_New_Face_From_URI): if the URI looks
	local, bypass gnome-vfs to open the face (small optimisation).

	* src/font-view.c (create_text_pixmap): only display the font at
	its fixed sizes if it is not scalable.  Before we were ignoring
	the outlines on fonts such as Lucida Console, which includes both
	outlines and bitmaps for small sizes.

2002-12-06  Yanko Kaneti  <yaneti@declera.com>

	* Makefile.am (EXTRA_DIST):
	* configure.in (AC_OUTPUT): 
	* fontilus.spec.in (added): First stab at a spec file.

2002-12-05  James Henstridge  <james@daa.com.au>

	* src/fontilus.keys: set gnome-font-viewer as default app for
	type1, ttf and pcf fonts.

	* src/fontilus.applications: add application registry file for
	gnome-font-viewer.  Set it to accept URIs in file:/// and
	fonts:///.  It supports others though ...

	* src/Makefile.am: change executable names, and install them.

	* src/font-view.c (draw_text): move text drawing into separate
	function.
	(create_text_pixmap): handle bitmap fonts by drawing the test
	string at the correct size(s).
	(add_face_info): display some information about the font.
	(main): add an "in" shadow round the rendered text.

	* src/font-view.c (main): change so that it renders the text at a
	number of different sizes, like fontcarton did.  Need to show some
	info about the font too ...

2002-12-04  James Henstridge  <james@daa.com.au>

	* src/font-view.c (main): get font to render correctly.  Things
	work fine now that I am using the same FT_Library handle as Xft
	was ...
	(main): don't use Xft's FT_Library handle, since it is underscore
	prefixed.  The real problem is that XftInitFtLibrary() wasn't
	getting called.

	* src/font-view.c (main): start of simple font viewer program.
	Doesn't correctl display the text yet though :(

	* src/ftstream-vfs.c (FT_New_Face_From_URI): rename function to
	match naming scheme used elsewhere.

2002-12-02  James Henstridge  <james@daa.com.au>

	* src/thumbnailer.c (draw_char): split code for drawing character
	into separate function.
	(save_pixbuf): function to save the pixbuf.  We crop the pixbuf
	leaving PAD_PIXELS pixels round the edges.
	(draw_bitmap): handle monochrome bitmaps.
	(main): don't error out if we can't set pixel size.

	* src/ftstream-vfs.c (FT_New_URI_Face): unset the
	FT_FACE_FLAG_EXTERNAL_STREAM flag on the face, so that it gets
	freed with the face.  (this is a bit of a hack ...).

	* src/thumbnailer.c (main): fix bound on for loop (gaaaargh).
	(main): re-enable shutdown of the library

	* src/Makefile.am (libfont_method_la_LIBADD): fix typo.

	* src/ftstream-vfs.c (FT_New_URI_Face): FT_Stream is a pointer, so
	sizeof(FT_Stram) gives the wrong result :(

2002-12-01  James Henstridge  <james@daa.com.au>

	* src/font-method.c (do_read_directory): include ".directory" in
	the directory listing.
	(do_open): handle "/.directory".
	(do_get_file_info): handle "/.directory".
	(do_is_local): handle "/.directory".

	* src/Makefile.am: install font-method.conf

